# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.extensions
Class Im.Protocol

    java.lang.Object
      com.google.gdata.data.extensions.Im.Protocol

Enclosing class:
  Im

    public static final class Im.Protocol

extends java.lang.Object

Im protocol.

Field Summary
`static java.lang.String` `AIM` AIM.
`static java.lang.String` `GOOGLE_TALK` Google Talk.
`static java.lang.String` `ICQ` ICQ.
`static java.lang.String` `JABBER` Jabber.
`static java.lang.String` `MSN` MSN.
`static java.lang.String` `NETMEETING` NetMeeting.
`static java.lang.String` `QQ` Tencent QQ.
`static java.lang.String` `SKYPE` Skype.
`static java.lang.String` `YAHOO` Yahoo.

Constructor Summary
`Im.Protocol()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AIM

    public static final java.lang.String AIM

  AIM.

  See Also:
    Constant Field Values

### GOOGLE_TALK

    public static final java.lang.String GOOGLE_TALK

  Google Talk.

  See Also:
    Constant Field Values

### ICQ

    public static final java.lang.String ICQ

  ICQ.

  See Also:
    Constant Field Values

### JABBER

    public static final java.lang.String JABBER

  Jabber.

  See Also:
    Constant Field Values

### MSN

    public static final java.lang.String MSN

  MSN.

  See Also:
    Constant Field Values

### NETMEETING

    public static final java.lang.String NETMEETING

  NetMeeting.

  See Also:
    Constant Field Values

### QQ

    public static final java.lang.String QQ

  Tencent QQ.

  See Also:
    Constant Field Values

### SKYPE

    public static final java.lang.String SKYPE

  Skype.

  See Also:
    Constant Field Values

### YAHOO

    public static final java.lang.String YAHOO

  Yahoo.

  See Also:
    Constant Field Values

Constructor Detail

### Im.Protocol

    public Im.Protocol()